Description

The installer should install in a directory that contains the
version number of the release.

Under Windows, the default is c:\Program Files\Kepler,

it should be c:\Program Files\Kepler\1.0.0.

The reason is so that it is possible to have multiple versions
of Kepler without changing the default path. If the user
already has an installation of Kepler, then if they overwrite
the old version, will "good things" happen?

In a similar fashion, the installer should create separate

menus for each version.

What we have now is :

Start -> All Programs -> Kepler -> Kepler-1.0.0

Start -> All Programs -> Kepler -> Kepler Uninstaller

Instead, we should have:

Start -> All Programs -> Kepler -> Kepler-1.0.0 -> Kepler-1.0.0

Start -> All Programs -> Kepler -> Kepler-1.0.0 -> Kepler-1.0.0 Uninstaller

This is just my opinion, feel free to ignore.

Related issues:
Blocked by Kepler - Bug #3245: Release 1.0 installer tracking bug Resolved 04/29/2008

History

#1 - 05/01/2008 11:15 AM - Chad Berkley

| changed the installer to default to Kepler-1.0.0. | can't find a way to specify ../Kepler/1.0 or ../Kepler/Kepler-1.0 with 1zPack. | think this is a good
compromise. It will make sure people can install multiple versions of kepler in the future.

#2 - 05/01/2008 11:39 AM - Christopher Brooks

BTW -
Ptolemy Il does the Ptolemy/ptll7.0.1 trick, take a look
in ptll/adm/gen-7.0 of the rel-7-0-beta-2 tree

Basically, ptll7_0_1_setup.xml does the set up.

&lt;resourcesé&gt;
&lt;res id="HTMLInfoPanel.info" src="index.htm"/&gt;
&lt;res id="HTMLLicencePanel.licence" src="copyright.htm"/&gt;
&lt;res id="InfoPanel.info" src="../../README.txt"/&gt;

&lt;res id="TargetPanel.dir.windows" src="TargetPanel.dir.windows"/&gt;

TargetPanel.dir.windows is a file that contains just the line:
c:/Ptolemy/ptlI$APP_VER

| think something similar would work here.

However, it is getting to be time to ship, so maybe we should move on
and stick with c:/Program Files/Kepler-1.0.0 instead of C:/Program Files/Kepler/Kepler-1.0.0.

That file in turn calls
#3 - 05/07/2008 02:33 PM - ben leinfelder

i get /Applications/Kepler-1.0.0 in OSX
and /home/leinfelder/Kepler-1.0.0 in linux
as defaults with the v3 installer (looks good)

#4 - 05/07/2008 03:04 PM - Jing Tao

| got the same result as ben in mac and linux.
In windows, i got c:\Porgram Files\Kepler-1.0.0.

but in the menu, we still have:

Start -> All Programs -> Kepler -> Kepler-1.0.0

Start -> All Programs -> Kepler -> Kepler Uninstaller
Talked with chad. He said next installer will fix the issue.

#5 - 05/07/2008 03:27 PM - Aaron Aaron

C:\Program Files\Kepler-1.0.0 in windows v3 installer. Looks good.

#6 - 05/08/2008 10:27 AM - Chad Berkley

i rechecked this and it is doing what it is supposed to do.

#7 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3253
